SynthToggleButtonUI (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.synth, class: SynthToggleButtonUI
Keywords: javax.swing.plaf.synth.SynthToggleButtonUI class

# Class SynthToggleButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.basic.BasicButtonUI
javax.swing.plaf.synth.SynthButtonUI
javax.swing.plaf.synth.SynthToggleButtonUI

All Implemented Interfaces:
  `PropertyChangeListener, EventListener, SynthConstants, SynthUI`

Direct Known Subclasses:
  `SynthRadioButtonUI`

public class SynthToggleButtonUI extends SynthButtonUI
Provides the Synth L&F UI delegate for `JToggleButton`.

Since:
  1.7

- ## Field Summary

  ### Fields declared in class BasicButtonUI

  `defaultTextIconGap, defaultTextShiftOffset`
  Modifier and Type
  Field
  Description
  `protected int`
  `defaultTextIconGap`
  The default gap between a text and an icon.
  `protected int`
  `defaultTextShiftOffset`
  The default offset of a text.

  ### Fields declared in interface SynthConstants

  `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT`
  Indicates the region is the default.
  `static final int`
  `DISABLED`
  Primary state indicating the region is not enabled.
  `static final int`
  `ENABLED`
  Primary state indicating the component is enabled.
  `static final int`
  `FOCUSED`
  Indicates the region has focus.
  `static final int`
  `MOUSE_OVER`
  Primary state indicating the mouse is over the region.
  `static final int`
  `PRESSED`
  Primary state indicating the region is in a pressed state.
  `static final int`
  `SELECTED`
  Indicates the region is selected.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynthToggleButtonUI()`
  Constructs a `SynthToggleButtonUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent b)`
  Creates a new UI object for the given component.

  ### Methods declared in class SynthButtonUI

  `getContext, getDefaultIcon, getIcon, getSizingIcon, paint, paint, paintBorder, propertyChange, update`
  Modifier and Type
  Method
  Description
  `SynthContext`
  `getContext(JComponent c)`
  Returns the Context for the specified component.
  `protected Icon`
  `getDefaultIcon(AbstractButton b)`
  Returns the default icon.
  `protected Icon`
  `getIcon(AbstractButton b)`
  Returns the Icon to use for painting the button.
  `protected Icon`
  `getSizingIcon(AbstractButton b)`
  Returns the Icon used in calculating the preferred/minimum/maximum size.
  `void`
  `paint(Graphics g, JComponent c)`
  Paints the specified component according to the Look and Feel.
  `protected void`
  `paint(SynthContext context, Graphics g)`
  Paints the specified component.
  `void`
  `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)`
  Paints the border.
  `void`
  `propertyChange(PropertyChangeEvent e)`
  This method gets called when a bound property is changed.
  `void`
  `update(Graphics g, JComponent c)`
  Notifies this UI delegate to repaint the specified component.

  ### Methods declared in class BasicButtonUI

  `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getPropertyPrefix, getTextShiftOffset, installDefaults, installKeyboardActions, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`
  Modifier and Type
  Method
  Description
  `protected void`
  `clearTextShiftOffset()`
  Clears the offset of the text.
  `protected BasicButtonListener`
  `createButtonListener(AbstractButton b)`
  Returns a new instance of `BasicButtonListener`.
  `int`
  `getBaseline(JComponent c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(JComponent c)`
  Returns an enum indicating how the baseline of the component changes as the size changes.
  `int`
  `getDefaultTextIconGap(AbstractButton b)`
  Returns the default gap between a text and an icon.
  `protected String`
  `getPropertyPrefix()`
  Returns the property prefix.
  `protected int`
  `getTextShiftOffset()`
  Returns the offset of the text.
  `protected void`
  `installDefaults(AbstractButton b)`
  Installs default properties.
  `protected void`
  `installKeyboardActions(AbstractButton b)`
  Registers keyboard actions.
  `protected void`
  `installListeners(AbstractButton b)`
  Registers listeners.
  `protected void`
  `paintButtonPressed(Graphics g, AbstractButton b)`
  Paints a pressed button.
  `protected void`
  `paintFocus(Graphics g, AbstractButton b, Rectangle viewRect, Rectangle textRect, Rectangle iconRect)`
  Paints a focused button.
  `protected void`
  `paintIcon(Graphics g, JComponent c, Rectangle iconRect)`
  Paints an icon of the current button.
  `protected void`
  `paintText(Graphics g, AbstractButton b, Rectangle textRect, String text)`
  Method which renders the text of the current button.
  `protected void`
  `paintText(Graphics g, JComponent c, Rectangle textRect, String text)`
  Method which renders the text of the current button.
  `protected void`
  `setTextShiftOffset()`
  Sets the offset of the text.
  `protected void`
  `uninstallDefaults(AbstractButton b)`
  Uninstalls default properties.
  `protected void`
  `uninstallKeyboardActions(AbstractButton b)`
  Unregisters keyboard actions.
  `protected void`
  `uninstallListeners(AbstractButton b)`
  Unregisters listeners.

  ### Methods declared in class ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`
  Modifier and Type
  Method
  Description
  `boolean`
  `contains(JComponent c, int x, int y)`
  Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
  `Accessible`
  `getAccessibleChild(JComponent c, int i)`
  Returns the `i`th `Accessible` child of the object.
  `int`
  `getAccessibleChildrenCount(JComponent c)`
  Returns the number of accessible children in the object.
  `Dimension`
  `getMaximumSize(JComponent c)`
  Returns the specified component's maximum size appropriate for the look and feel.
  `Dimension`
  `getMinimumSize(JComponent c)`
  Returns the specified component's minimum size appropriate for the look and feel.
  `Dimension`
  `getPreferredSize(JComponent c)`
  Returns the specified component's preferred size appropriate for the look and feel.
  `void`
  `installUI(JComponent c)`
  Configures the specified component appropriately for the look and feel.
  `void`
  `uninstallUI(JComponent c)`
  Reverses configuration which was done on the specified component during `installUI`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SynthToggleButtonUI

    public SynthToggleButtonUI()
    Constructs a `SynthToggleButtonUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent b)
    Creates a new UI object for the given component.
    Parameters:
      `b` - component to create UI object for
    Returns:
      the UI object